
#ifndef MqttWOLManagerdef
#define MqttWOLManagerdef 1
#include "MqttDefines.h"
class WakeOnLan;

class MqttWOLManager
{
  WakeOnLan* wol;
  public:
  char topic[MAXSTR];//topic para llamada wol
  
  MqttWOLManager();
  

  void inicia(WakeOnLan* pwol);
  void loop();//publica datos variables
  int OnMqtt(char* topic, char* payload);
  void suscribe(PubSubClient *client_qqtt);
  
};
#endif
